Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065454 - [RFE] Allow adding role in the user's creation call
Summary: [RFE] Allow adding role in the user's creation call
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: API/integration
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 16:57 UTC by Ina Panova
Modified: 2015-02-28 23:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:12:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 222 None None None Never

Description Ina Panova 2014-02-14 16:57:55 UTC
Description of problem:
Current situation requires two steps:
1) create a user with POST method
2) add a role to the user by making the update with the PUT method

Would be more convenient to specify directly roles(as an optional field) during creation of the user.
As for example in repo creation call - we can create repo and add importer/distributor in one step, or update repo with these details later.

Version-Release number of selected component (if applicable):

pulp-server-2.4.0-0.2.alpha.git.8.71f8305.fc19.noarch
How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
role can be added only after creation call

Expected results:
add role during create call

Additional info:

Comment 1 Brian Bouterse 2015-02-19 01:12:48 UTC
Moved to https://pulp.plan.io/issues/222


Note You need to log in before you can comment on or make changes to this bug.